
import ActionType from '../../actions/types'
// khởi tạo một init state
const initialState = {
    otVoucherPending: [],
    isLoading: false,
}

// bắt từng action type
function GetOtVoucherUser(state = initialState, action) {
    switch (action.type) {
        case ActionType.START_GET_OT_PENDING:
            return {
                ...state,
                isLoading: true,
            }

        case ActionType.GET_USER_OT_PENDING_SUCCESS:
            return {
                otVoucherPending: action.data,
                isLoading: false,
            }
        case ActionType.GET_USER_OT_PENDING_FAILED:
            return {
                ...state,
                isLoading: false,
            }
        default:
            return state
    }
}

export default GetOtVoucherUser
